-- Hilfeanzeige zur Bedienung für Modpack T174-2 V9 LS15
-- created by ===ieg53i===
-- Date: 24.12.2014
Help = {};

function Help.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function Help:load(xmlFile)
	self.help = false;
end;

function Help:delete()
end;

function Help:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Help:keyEvent(unicode, sym, modifier, isDown)
end;

function Help:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_HELP) then
			self.help = not self.help;
		end;
	end;
end;

function Help:updateTick(dt)
end;

function Help:draw()
	if not self.help then
		renderText(0.82, 0.86, 0.018, "Taste Numpad 0: Hilfe Ein");
	 else
		renderText(0.82, 0.86, 0.018, "Taste Numpad 0: Hilfe Aus");
		renderText(0.67, 0.83, 0.025, "Modpack T174-2 V9 LS15      Bedienung");
		renderText(0.67, 0.81, 0.02, "Motor starten/aus___mit G auf Bagger__NumPad enter");
		renderText(0.67, 0.79, 0.02, "Handbremse auf/zu___mit G auf Bagger_______Taste H");
		renderText(0.67, 0.77, 0.02, "Transportmodus ______mit G auf Bagger_______Taste X");
		renderText(0.67, 0.75, 0.02, "Nur mit einem der Greifer verwenden!");
		renderText(0.67, 0.73, 0.02, "Türen und Fenster von Aussen öffnen!");
		renderText(0.67, 0.71, 0.02, "G auf Bagger__Leertaste dann Tür/Fenster auswählen");
		renderText(0.67, 0.69, 0.02, "Linke Maustaste_________auf/zu");
		renderText(0.67, 0.67, 0.02, "Stützen ab/auf___________Maus links+rechts y__ LCtrlV/B");
		renderText(0.67, 0.65, 0.02, "Beleuchtung/Arbeitslicht__________________________F-F-F");
		renderText(0.67, 0.63, 0.02, "Arbeitslicht hinten_____Numpad 5_____vorn Numpad 6");		
		renderText(0.67, 0.61, 0.02, "Lastanzeige nur für die beiden Greifer");
		renderText(0.67, 0.59, 0.02, "Bei angehängtem Hänger ungenau!");
		renderText(0.67, 0.57, 0.02, "Holzzange nur so weit schliesen wie nötig");
		renderText(0.67, 0.55, 0.02, "Dreher am F-Arm_____Maus links+rechts x__LShift V/B");
		renderText(0.67, 0.53, 0.02, "Drehen Bagger____________Maus links x___________K/M");
		renderText(0.67, 0.51, 0.02, "Hauptarm_________________Maus links y___________N/J");
		renderText(0.67, 0.49, 0.02, "Ausleger/F-Arm ___________Maus rechts y____LShift+N/J");
		renderText(0.67, 0.47, 0.02, "Greifer   auf/zu____________Maus rechts x____LShift+K/M");
		renderText(0.67, 0.45, 0.02, "Gestellaufnahme drehen__Maus mitte x_____LCtrl+K/M");
		renderText(0.67, 0.43, 0.02, "Gestellaufnahme auf/ab___Maus mitte y_____LCtrl+N/J");
		renderText(0.67, 0.41, 0.02, "Holzzange auf/zu__________Maus recht x_____LShift+K/M");
		renderText(0.67, 0.39, 0.02, "Gestellaufnahme geeignet für FrontloaderTools");
		renderText(0.67, 0.37, 0.02, "Mit ausgefahrenen Stützen nicht fahren!");
		renderText(0.67, 0.35, 0.02, "Alle Anzeigen in der Kabine voll animiert");
		renderText(0.67, 0.33, 0.02, "Motorwellen automatisch nach Drehzahl");
		renderText(0.67, 0.31, 0.02, "Scheibenwischer automatisch bei Regen");
		renderText(0.67, 0.29, 0.02, "Drei Cameraperspektiven wählbar mit Taste C");
		renderText(0.67, 0.26, 0.024, "        **ceated by ieg53i**");
	end;
end;  

function Help:onLeave()
	self.help = false;
end;
